Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157239 - Systemtap patches to be ported to RHEL4 U2 kernel
Summary: Systemtap patches to be ported to RHEL4 U2 kernel
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jason Baron
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 156322 157421
TreeView+ depends on / blocked
 
Reported: 2005-05-09 17:57 UTC by Elena Zannoni
Modified: 2013-03-06 05:58 UTC (History)
6 users (show)

Fixed In Version: RHSA-2005-514
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-05 13:05:12 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Sourceware 912 None None None Never
Red Hat Product Errata RHSA-2005:514 qe-ready SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 4 Update 2 2005-10-05 04:00:00 UTC

Description Elena Zannoni 2005-05-09 17:57:18 UTC
There are a number of kprobes related patches making their way upstream for
Systemtap support.
They need to be included in RHEL4 U2.

The list is:

[1]
[PATCH] Kprobes: Allow/deny probes on int3/breakpoint instruction?
http://www.ussg.iu.edu/hypermail/linux/kernel/0503.3/1965.html
This patch is required. It has been integrated upstream.

[2]
[PATCH] Kprobes: Incorrect handling of probes on ret/lret instruction
http://www.ussg.iu.edu/hypermail/linux/kernel/0504.0/0045.html
This patch is upstream. Needed in RHEL.

[3]
[PATCH] Kprobes: Oops! in unregister_kprobe()
http://www.ussg.iu.edu/hypermail/linux/kernel/0504.1/0826.html
Patch upstream - needs to go into RHEL.

[4]
[RFC] [PATCH] Multiple kprobes at an address
http://www.ussg.iu.edu/hypermail/linux/kernel/0504.2/0492.html
Patch upstream. Needed in RHEL

[5]
[RCF][PATCH] kprobes: function-return probes
http://www.ussg.iu.edu/hypermail/linux/kernel/0505.0/1107.html
Awaiting community comments. Feature needed in RHEL. Also, this
feature is arch specific.

There are other changes that are not captured as part of the list since
they are still in the works. We are working on getting these done ASAP:

- Reentrant probe handling
- Kprobe scalability changes
- kprobe-jprobe coexistance

Also relayfs patches are needed (don't have the details on those yet)

Comment 1 Elena Zannoni 2005-05-09 19:49:14 UTC
Relayfs patch needing backport is this one:

[PATCH 2.6.12-rc1-mm2] relayfs: properly handle oversized events
http://www.uwsg.iu.edu/hypermail/linux/kernel/0503.3/0248.html


Comment 2 Dave Jones 2005-05-18 03:35:37 UTC
you seem to be under the impression that relayfs is present in RHEL4.
It isn't.  It isn't even merged in current upstream.


Comment 3 Martin Hunt 2005-05-18 05:41:15 UTC
relayfs is one of two modules we will need (the other is stp_control) to build
for each kernel. Both are checked into the systemtap cvs.  I have applied the
above patch to relayfs.


Comment 10 Elena Zannoni 2005-07-01 19:58:29 UTC
Patches have been submitted to rhkernel-list.


Comment 15 Red Hat Bugzilla 2005-10-05 13:05:13 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-514.html



Note You need to log in before you can comment on or make changes to this bug.